import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 
 * @author Alexis, Jan, Seva
 * 4/23/18

 */
public class Pie extends Mover
{
    private int life = Greenfoot.getRandomNumber(10)+10;
    private int shotsFired;
    //the distance the object travels
    public Pie()
    {
        shotsFired = 0;
    }

    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(45.0);  //makes ball move and speed of movement
        life--;       //The distance the ball travel before switching to splat
        if(life==0)
        {
            getWorld().addObject(new Splatter(), getX(),getY());
            getWorld().removeObject(this);
        } // Add your action code here.

    }    

    public void shotsFired()
    {
        if ( isTouching(Zombie1.class))
        {
            removeTouching(Zombie1.class);
            Greenfoot.playSound("slurp.wav");

            shotsFired = shotsFired + 1;

            if (shotsFired == 8)
            {
                Greenfoot.playSound("slurp.wav");

            }
        }  
    }

    public void checkForEnemy() {
        if (isTouching(Zombie1.class)) {
            removeTouching(Zombie1.class);
            ((Level1) getWorld()).addScore(20);
        }
    }
}
